Bug 805681 - Sumwars segfaults when run on x86_64 with an rv530 GPU
Sumwars segfaults when run on x86_64 with an rv530 GPU
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sumwars (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Preisler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 16:00 EDT by Bruno Wolff III
Modified: 2013-08-01 01:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:19:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output sent to terminal window (27.01 KB, text/plain)
2012-03-21 16:00 EDT, Bruno Wolff III
no flags Details
Requested logs (36 bytes, text/x-log)
2012-03-26 15:37 EDT, Bruno Wolff III
no flags Details
Requested logs (1.18 MB, text/x-log)
2012-03-26 15:37 EDT, Bruno Wolff III
no flags Details
config file (322 bytes, application/octet-stream)
2012-03-26 15:38 EDT, Bruno Wolff III
no flags Details
Requested logs (28.21 KB, text/x-log)
2012-03-26 15:38 EDT, Bruno Wolff III
no flags Details
config file (406 bytes, application/octet-stream)
2012-03-26 15:39 EDT, Bruno Wolff III
no flags Details
config file (2.10 KB, application/octet-stream)
2012-03-26 15:40 EDT, Bruno Wolff III
no flags Details
Requested logs (2.40 KB, text/x-log)
2012-03-26 15:40 EDT, Bruno Wolff III
no flags Details

  None (edit)
Description Bruno Wolff III 2012-03-21 16:00:32 EDT
Created attachment 571826 [details]
Output sent to terminal window

Description of problem:
Sumwars goes through some startup but segfaults before the game is ready to play.

Version-Release number of selected component (if applicable):
sumwars-0.5.6-5.fc17.x86_64

How reproducible:
100%

Steps to Reproduce:
1.sumwars
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bruno Wolff III 2012-03-21 23:23:18 EDT
I will note that sumwars also didn't work on an rv280 (another segfault but preceeding terminal output was a little different) nor an nv28 (assertion failure in the video driver). Though those cards may not be powerful enough to play the game on in practice even if they did work.
Comment 2 Martin Preisler 2012-03-23 08:24:56 EDT
Unfortunately I can't reproduce this behaviour. I tested on Intel HD 3000 (Lenovo T420S).

I don't have access to any AMD GPUs, I am talking to upstream about this and they do use AMD/ATI cards with FOSS drivers and claim that it works for them.

Debugging on your system would help a ton.
Comment 3 Bruno Wolff III 2012-03-23 11:31:01 EDT
That's encouraging news. I thought maybe they were using HLSL shader code or something. I am very likely to be able to be able to get a traceback from my rv280 this weekend. My nv28 has what appears to be a driver problem, so that one won't help. I might be able to grab one from my work machine (rv530), but that that's iffier.
Comment 4 Bruno Wolff III 2012-03-23 15:48:49 EDT
(gdb) where
#0  0x000000000059e055 in MainWindow::update (this=0xe1e790, time=8.31999969)
    at /home/bruno/sumwars-0.5.6/src/gui/mainwindow.cpp:284
#1  0x00000000005a0c7e in updateStartScreen (percent=0.100000001, 
    this=<error reading variable: Cannot access memory at address 0x7fffffffb8e8>) at /home/bruno/sumwars-0.5.6/src/gui/application.cpp:1454
#2  Application::updateStartScreen (
    this=<error reading variable: Cannot access memory at address 0x7fffffffb8e8>, 
    this@entry=<error reading variable: Cannot access memory at address 0x7fffffffb948>, percent=0.100000001)
    at /home/bruno/sumwars-0.5.6/src/gui/application.cpp:1442
Comment 5 Bruno Wolff III 2012-03-24 14:30:01 EDT
As a sanity check, I'll note that I just put f17 on an old laptop and sumwars runs surprisingly well on that.
Comment 6 Martin Preisler 2012-03-26 08:55:24 EDT
Odd, seems like some initialisation issue.

The texture loading lines from stdout are weird.

Texture: _cegui_ogre_0: Loading 1 faces(PF_A8B8G8R8,420x500x1) with  hardware generated mipmaps from Image. Internal format is PF_A8R8G8B8,420x500x1.

On my PC it says:
Texture: _cegui_ogre_0: Loading 1 faces(PF_A8B8G8R8,420x500x1) with 0 generated mipmaps from Image. Internal format is PF_A8R8G8B8,420x500x1.

So somehow mipmap generation goes wrong on your computer I guess. Do other Ogre applications work fine? This could be some issue in Ogre's GL render system.

The textures also are NonPowerOfTwo but I think all GPUs support that nowadays. If they do not, Ogre has a workaround in place (scales to nearest POT size).

Could you also attach ~/.sumwars/*.log?
Comment 7 Bruno Wolff III 2012-03-26 15:35:54 EDT
I did a quick test fo vegastrike and it seemed to work OK on the rv530.
Comment 8 Bruno Wolff III 2012-03-26 15:37:17 EDT
Created attachment 572855 [details]
Requested logs
Comment 9 Bruno Wolff III 2012-03-26 15:37:50 EDT
Created attachment 572856 [details]
Requested logs
Comment 10 Bruno Wolff III 2012-03-26 15:38:34 EDT
Created attachment 572857 [details]
config file
Comment 11 Bruno Wolff III 2012-03-26 15:38:55 EDT
Created attachment 572858 [details]
Requested logs
Comment 12 Bruno Wolff III 2012-03-26 15:39:36 EDT
Created attachment 572859 [details]
config file
Comment 13 Bruno Wolff III 2012-03-26 15:40:03 EDT
Created attachment 572860 [details]
config file
Comment 14 Bruno Wolff III 2012-03-26 15:40:46 EDT
Created attachment 572861 [details]
Requested logs
Comment 15 Bruno Wolff III 2012-03-26 15:41:33 EDT
I attached all of the log and config files in .sumwars.
Comment 16 Bruno Wolff III 2012-03-27 17:08:33 EDT
I noticed there is an Ogre update available, and I'll look at trying that out to see if it helps with this issue.
Comment 17 Bruno Wolff III 2012-04-02 14:18:32 EDT
I tried sumwars with ogre 1.7.4 and it is still crashing on the rv280 and rv530. In different places, so it might really be two different driver or mesa bugs.
Comment 18 Fedora End Of Life 2013-07-03 21:09:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2013-08-01 01:19:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.